q(1)

NAME
q - invoke a portage utility applet

SYNOPSIS
q <applet> <args>

DESCRIPTION
q is a collection of utilities for use with Gentoo systems regarding installed and available packages.

After version 0.74 of portage-utils, the cache functionality was removed in favour of using various trees directly, and optionally the caches therein. As such the -r and -m options were removed. It is no longer necessary to initialise the cache at any time.

After version 0.82, the -m flag got repurposed for listing masks.

OPTIONS

-c, --build-cache
    (Re)Build ebuild/metadata cache for all available overlays.

-i, --install
    Install symlinks for applets.

-j <arg>, --jobserver <arg>
    Start Make jobserver for the given amount of jobs. The invocation will create a fifo in the filesystem and spawn a daemon process that opens a reader and writer on the fifo. The amount of jobs are seeded in the fifo ready for Make to consume and return. Running this when another instance of the jobserver is already running returns the fifo for the running process. Running with an argument of 0 jobs will stop an existing jobserver. Upon termination of the jobserver, the fifo is cleaned up and removed from the filesystem. It is adviced to use an alternative jobserver for global usage when the situation allows, such as e.g. steve. This mode is provided for scenarios where privilege restrictions apply, such as on Gentoo Prefix systems. The canonical path for the fifo is under /tmp/.q-jobserver.sock for the configured Prefix offset (EPREFIX). This fifo can be used in e.g. MAKEFLAGS with --jobserver-auth=fifo:/tmp/.q-jobserver.sock.

-o, --overlays
    Print available overlays (read from repos.conf). Use -v to see the source (file) where the overlay was declared.

-e, --envvar
    Print used environment variables and found values. Use -v to see the source (file, environment) where the variable was declared. Additional arguments are treated as variable names to print the values for. If just one name is given, only the value is printed if matched. When no arguments or more than one argument is given, the variable name and the value is printed as a shell-style declaration.

-m, --masks
    Print the masks from package.mask files found. Use -v to see the source (file) where the mask was declared. Use multiple -v to print the comment right before the mask. Additional arguments are treated as atom selectors which must match the masks.

--root <arg>
    Set the ROOT env var.

-v, --verbose
    Report full package versions, emit more elaborate output.

-q, --quiet
    Tighter output; suppress warnings.

-C, --nocolor
    Don't output color.

--color
    Force color in output.

-h, --help
    Print this help and exit.

-V, --version
    Print version and exit.

APPLETS
This applet also has sub applets:
         q <applet> <args> : virtual applet
     qatom <pkg>           : split atom strings
    qcheck <pkgname>       : verify integrity of installed packages
  qdepends <pkgname>       : show dependency info
     qfile <filename>      : list all pkgs owning files
     qgrep <expr> [pkg ...]: grep in ebuilds
  qkeyword <action> <args> : list packages based on keywords
     qlist <pkgname>       : list files owned by pkgname
      qlop <pkgname>       : emerge log analyzer
 qmanifest <misc args>     : verify or generate thick Manifest files
    qmerge <pkgnames>      : fetch and merge binary package
      qpkg <misc args>     : create or manipulate Gentoo binpkgs
   qsearch <regex>         : search pkgname/desc
     qsize <pkgname>       : calculate size usage
     qtbz2 <misc args>     : manipulate tbz2 packages
  qtegrity <misc args>     : verify files with IMA
      quse <useflag>       : find pkgs using useflags
    qwhich <pkg ...>       : find path to pkg
     qxpak <misc args>     : manipulate xpak archives

COLOR.MAP SUPPORT
The colors portage-utils is emitting can be changed via Portage's color.map(5) file. At this point of writing, portage-utils applets do not use the classes such as WARN, ERROR, and so forth. Instead the colors as used can be re-mapped onto other colors via the simple color=color-definition syntax. The following example shows supported syntax to set colors:
	red=Yellow
	brown  ="teal"
	fuchsia='teal'
	red=         0x000000   # RGB black
	darkgreen  = 1;96m      # ANSI
More specifically, the syntax is key=value, where spaces around key and value after splitting on the =-sign are trimmed. Value may be optionally quoted via single or double quotes. Keys and values are matched case-insensitive against known values. The list of keys that represent color names that can be redefined is:
	teal
	bold
	brown
	turquoise
	darkblue
	green
	darkgreen
	fuchsia
	red
	white
	yellow
Supported value can be a color name, a selected set of RGB colors or ANSI color escape code. The list of color names that can be used is:
	black
	darkgrey
	darkgray
	red
	darkred
	green
	darkgreen
	yellow
	brown
	darkyellow
	blue
	darkblue
	fuchsia
	purple
	turquoise
	darkteal
	teal
	bryellow
	cyan
	dkblue
	dkgreen
	magenta
The list of RGB colors that can be used:
	0x000000  (BLACK)
	0x555555  (DARKGREY)
	0xAA0000  (RED)
	0xFF5555  (DARKRED)
	0x00AA00  (GREEN)
	0x55FF55  (DARKGREEN)
	0xAA5500  (YELLOW)
	0xFFFF55  (BROWN)
	0x0000AA  (BLUE)
	0x5555FF  (DARKBLUE)
	0xAA00AA  (FUCHSIA)
	0xFF55FF  (PURPLE)
	0x00AAAA  (TURQUOISE)
	0x55FFFF  (TEAL)
	0xAAAAAA  (WHITE)
	0xFFFFFF  (LIGHTGREY)
	0xAAAA00  (BROWN)

REPORTING BUGS
Please report bugs via http://bugs.gentoo.org/
Product: Gentoo Linux; Component: Current packages

AUTHORS
Ned Ludd <solar@gentoo.org>
Mike Frysinger <vapier@gentoo.org>
Fabian Groffen <grobian@gentoo.org>

SEE ALSO
qatom(1), qcheck(1), qdepends(1), qfile(1), qgrep(1), qkeyword(1), qlist(1), qlop(1), qmanifest(1), qmerge(1), qpkg(1), qsearch(1), qsize(1), qtbz2(1), qtegrity(1), quse(1), qwhich(1), qxpak(1)